Subject: ha-kit 0.3: support for beginner hackers in /proc
From: [email-masked] (Alessandro Rubini)
Date: Fri, 15 Apr 1994 21:15:50 GMT
Newsgroups: comp.os.linux.announce

Ha-kit, which   means "Hacker Access  to  the Kernel  InTernals"  is a
simple patch  to  ease probing  the  internal working of Linux.  It is
meant to be useful for bottom-level hackers, like me, who need a ready
feedback about what  they're doing in the  kernel. This patch provides
only a generic entry  point for the C  programmer, and is not tailored
to any specific application.

The patch adds a  file named "hack"  to the /proc filesystem. You  can
use /proc/hack  to probe the  kernel internals, to report measurements
and so on.  The  idea is to avoid  lenghty printk()s whenever you  are
interested in some kernel data.   Printk loads the system and clubbers
/var/adm/messages. Moreover, its output is difficult to use from other
software. By  providing info in  a  /proc file  you have  a negligible
effect on system performance, since data is  sprintf()ed only when you
ask for it, and you can retrieve clean information when you need it.

The included patch has been written and  used with a 1.0.0 kernel, but
it applies well to both the 1.0.7 and 1.1.0 sources. I haven't 0.99.xx
sources handy, but I'm pretty sure they will accept the patch.

Being it so short, I include it here below. Otherwise, you can get it
from iride.unipv.it:/pub/linux/ha-kit-0.3.tar.gz

-- 
    __ o	alessandro rubini - [email-masked]
   _`\<,
__( )/( )____		I am italian, but I didn't vote for them...

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.